> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Match Profiles



## OpenAPI

````yaml /partner-api/openapi.json post /api/Search/MatchProfiles
openapi: 3.0.1
info:
  title: SeekOut Partner API
  version: '1.0'
  description: >-
    The SeekOut Partner API provides direct, programmatic REST access to
    SeekOut's talent search engine. Use it to build custom integrations,
    dashboards, scheduled jobs, and backend workflows for candidate search,
    profile matching, contact retrieval, and analytics. Authenticate every
    request with your `Api-Key` header, provisioned by your SeekOut
    representative.
servers:
  - url: https://partnerapi.seekout.io
    description: SeekOut Partner API
security:
  - ApiKey: []
paths:
  /api/Search/MatchProfiles:
    post:
      tags:
        - Search
      summary: Match Profiles
      operationId: matchProfiles
      parameters:
        - name: transactionId
          in: query
          schema:
            type: string
          examples:
            default:
              value: '1234'
        - name: maxNumberOfResults
          in: query
          schema:
            type: integer
            format: int32
            default: 5
        - name: emailLookupEnabled
          in: query
          schema:
            type: boolean
            default: false
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/PeopleSearch.Api.MatchProfileRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/PeopleSearch.Api.MatchProfileRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PeopleSearch.Api.MatchProfileRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PeopleSearch.Api.MatchProfileRequest'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PeopleSearch.WholePerson.WholePersonProfile
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PeopleSearch.WholePerson.WholePersonProfile
            text/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PeopleSearch.WholePerson.WholePersonProfile
components:
  schemas:
    PeopleSearch.Api.MatchProfileRequest:
      type: object
      properties:
        key:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        company:
          type: string
          nullable: true
        school:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        emails:
          type: array
          items:
            type: string
          nullable: true
        handles:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.WholePerson.WholePersonProfile:
      type: object
      properties:
        key:
          type: string
          nullable: true
        li_urls:
          type: array
          items:
            type: string
          nullable: true
        li_id:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        full_name:
          type: string
          nullable: true
        image_urls:
          type: array
          items:
            type: string
          nullable: true
        locations:
          type: array
          items:
            type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        location_ids:
          type: array
          items:
            type: string
          nullable: true
        caption:
          type: array
          items:
            type: string
          nullable: true
        cur_company:
          type: string
          nullable: true
        cur_title:
          type: string
          nullable: true
        cur_title_specialization:
          type: string
          nullable: true
        cur_seniority:
          type: string
          nullable: true
        diversity:
          type: array
          items:
            type: string
          nullable: true
        positions:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Position'
          nullable: true
        educations:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Education'
          nullable: true
        headlines:
          type: array
          items:
            type: string
          nullable: true
        summary:
          type: string
          nullable: true
        deleted:
          type: integer
          format: int32
          nullable: true
        matched_terms:
          type: array
          items:
            type: string
          nullable: true
        match_type:
          $ref: '#/components/schemas/SeekOut.Data.Graph.SmartMatchMatchType'
        power_filter_matches:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.PowerFilterMatch'
          nullable: true
        key_phrases:
          type: array
          items:
            type: string
          nullable: true
        skills:
          type: array
          items:
            type: string
          nullable: true
        certifications:
          type: array
          items:
            type: string
          nullable: true
        projects:
          type: array
          items:
            type: string
          nullable: true
        updated_dates:
          type: array
          items:
            type: string
            format: date-time
          nullable: true
        contact_quality:
          type: integer
          format: int32
          nullable: true
        degrees:
          type: array
          items:
            type: string
          nullable: true
        degree_ids:
          type: array
          items:
            type: string
          nullable: true
        cur_company_id:
          type: integer
          format: int32
          nullable: true
        cur_title_id:
          type: integer
          format: int32
          nullable: true
        prev_locations:
          type: array
          items:
            type: string
          nullable: true
        alt_keys:
          type: array
          items:
            type: string
          nullable: true
        alt_keys_keytypes:
          type: object
          additionalProperties:
            type: string
          nullable: true
        likely_to_switch:
          type: number
          format: double
          nullable: true
        match_score:
          type: integer
          format: int32
          nullable: true
        document_score:
          type: number
          format: double
          nullable: true
        key_matches:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.KeyMatch'
          nullable: true
        gh_handle:
          type: string
          nullable: true
        gh_url:
          type: string
          nullable: true
        gh_key:
          type: string
          nullable: true
        organizations:
          type: array
          items:
            type: string
          nullable: true
        topics:
          type: array
          items:
            type: string
          nullable: true
        stars:
          type: integer
          format: int32
          nullable: true
        followers:
          type: integer
          format: int32
          nullable: true
        following:
          type: integer
          format: int32
          nullable: true
        num_repos:
          type: integer
          format: int32
          nullable: true
        websites:
          type: array
          items:
            type: string
          nullable: true
        coder_rank:
          type: number
          format: double
          nullable: true
        prog_lang_ranks:
          type: object
          additionalProperties:
            type: number
            format: double
            nullable: true
          nullable: true
        contribs:
          type: array
          items:
            $ref: >-
              #/components/schemas/SeekOut.Data.Graph.GitHub.RepositoryContribution
          nullable: true
        user_repos:
          type: array
          items:
            $ref: '#/components/schemas/SeekOut.Data.Graph.GitHub.Repository'
          nullable: true
        stackoverflow_id:
          type: integer
          format: int32
          nullable: true
        stackoverflow_url:
          type: string
          nullable: true
        stackoverflow_name:
          type: string
          nullable: true
        stackoverflow_seekout_score:
          type: integer
          format: int32
          nullable: true
        stackoverflow_questions_count:
          type: integer
          format: int32
          nullable: true
        stackoverflow_answers_count:
          type: integer
          format: int32
          nullable: true
        stackoverflow_gold_badges:
          type: integer
          format: int32
          nullable: true
        stackoverflow_silver_badges:
          type: integer
          format: int32
          nullable: true
        stackoverflow_bronze_badges:
          type: integer
          format: int32
          nullable: true
        stackoverflow_gold_badges_full:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.SOBadge'
          nullable: true
        stackoverflow_silver_badges_full:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.SOBadge'
          nullable: true
        stackoverflow_bronze_badges_full:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.SOBadge'
          nullable: true
        stackoverflow_tags:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.SOTopTag'
          nullable: true
        stackoverflow_reputation_rank:
          type: number
          format: double
          nullable: true
        stackoverflow_questions:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.SOQuestionInvolvement'
          nullable: true
        stackoverflow_answers:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.SOAnswerInvolvement'
          nullable: true
        stackoverflow_reach_rank:
          type: number
          format: double
          nullable: true
        stackoverflow_involvement_rank:
          type: number
          format: double
          nullable: true
        stackoverflow_up_votes:
          type: integer
          format: int32
          nullable: true
        stackoverflow_down_votes:
          type: integer
          format: int32
          nullable: true
        author_id:
          type: string
          nullable: true
        expert_key:
          type: string
          nullable: true
        affiliations:
          type: array
          items:
            type: string
          nullable: true
        co_authors:
          type: array
          items:
            $ref: '#/components/schemas/SeekOut.Data.Graph.Academic.CoAuthor'
          nullable: true
        publication_count:
          type: integer
          format: int32
          nullable: true
        paper_count:
          type: integer
          format: int32
          nullable: true
        patent_count:
          type: integer
          format: int32
          nullable: true
        book_count:
          type: integer
          format: int32
          nullable: true
        citation_count:
          type: integer
          format: int32
          nullable: true
        categories:
          type: array
          items:
            type: string
          nullable: true
        sub_categories:
          type: array
          items:
            type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        relevant_papers:
          type: array
          items:
            $ref: '#/components/schemas/SeekOut.Data.Graph.Academic.Paper'
          nullable: true
        recent_papers:
          type: array
          items:
            $ref: '#/components/schemas/SeekOut.Data.Graph.Academic.Paper'
          nullable: true
        other_papers:
          type: array
          items:
            type: string
          nullable: true
        publications:
          type: array
          items:
            type: string
          nullable: true
        patents:
          type: array
          items:
            type: string
          nullable: true
        healthcare_profile:
          $ref: '#/components/schemas/PeopleSearch.Healthcare.HealthcareSearchProfile'
        nurse_profile:
          $ref: '#/components/schemas/PeopleSearch.Nursing.NurseSearchProfile'
        company_data:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.ExternalData'
          nullable: true
        ats_data:
          $ref: '#/components/schemas/PeopleSearch.Public.ATSData'
        security_clearance:
          $ref: '#/components/schemas/PublicProfile.SecurityClearance'
        likely_skills:
          type: array
          items:
            type: string
          nullable: true
        salary_data:
          $ref: '#/components/schemas/SeekOut.Data.Graph.SalaryData.SalaryData'
        time_zone_delta:
          type: number
          format: double
          nullable: true
        configurable_data:
          nullable: true
          type: object
        org_size:
          type: integer
          format: int32
          nullable: true
        start_date_in_company:
          type: string
          format: date-time
          nullable: true
        hierarchy:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Employee'
          nullable: true
        manager:
          $ref: '#/components/schemas/PublicProfile.Employee'
        department:
          type: string
          nullable: true
        office_location:
          type: string
          nullable: true
        office_location2:
          type: string
          nullable: true
        direct_reports:
          type: integer
          format: int32
          nullable: true
        internal_projects:
          type: array
          items:
            type: string
          nullable: true
        employee_url:
          type: string
          nullable: true
        employee_id:
          type: string
          nullable: true
        compensation_grade:
          type: string
          nullable: true
        internal_technologies:
          type: array
          items:
            type: string
          nullable: true
        internal_skills:
          type: array
          items:
            type: string
          nullable: true
        internal_repos:
          type: array
          items:
            $ref: '#/components/schemas/SeekOut.Data.Graph.InternalGitHubContribution'
          nullable: true
        slack_id:
          type: string
          nullable: true
        internal_annotations:
          $ref: '#/components/schemas/PublicProfile.InternalExperienceAnnotations'
        email:
          type: string
          nullable: true
        phones:
          type: array
          items:
            type: string
          nullable: true
        languages:
          type: array
          items:
            type: string
          nullable: true
        last_updated:
          type: string
          format: date-time
          nullable: true
        last_refreshed:
          type: string
          format: date-time
          nullable: true
        grad_year:
          type: integer
          format: int32
          nullable: true
        past_companies:
          type: array
          items:
            type: string
          nullable: true
        majors:
          type: array
          items:
            type: string
          nullable: true
        past_titles:
          type: array
          items:
            type: string
          nullable: true
        city:
          type: string
          nullable: true
        industry:
          type: string
          nullable: true
        company_size:
          type: integer
          format: int32
          nullable: true
        groups:
          type: array
          items:
            type: string
          nullable: true
        interests:
          type: array
          items:
            type: string
          nullable: true
        volunteering:
          type: array
          items:
            type: string
          nullable: true
        start_date_in_role:
          type: string
          format: date-time
          nullable: true
        is_student:
          type: boolean
          nullable: true
        redirect_url:
          type: string
          nullable: true
        contacts:
          $ref: '#/components/schemas/PeopleSearch.Public.UserContacts'
        score_card:
          $ref: '#/components/schemas/PublicProfile.ScoreCards'
      additionalProperties: true
    PublicProfile.Position:
      type: object
      properties:
        index:
          type: integer
          format: int32
          nullable: true
        years_ago:
          type: integer
          format: int32
          nullable: true
        company_id:
          type: integer
          format: int32
          nullable: true
        company_id_str:
          type: string
          nullable: true
        company:
          type: string
          nullable: true
        company_size:
          type: integer
          format: int32
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        title_id:
          type: integer
          format: int32
          nullable: true
        title_id_str:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        location_id:
          type: integer
          format: int32
          nullable: true
        location_id_str:
          type: string
          nullable: true
        start_date:
          type: string
          nullable: true
        start:
          type: integer
          format: int32
          nullable: true
        end_date:
          type: string
          nullable: true
        end:
          type: integer
          format: int32
          nullable: true
        description:
          type: string
          nullable: true
        is_internal:
          type: boolean
          nullable: true
        internal_properties:
          $ref: '#/components/schemas/PublicProfile.KeyValueCollection'
        internal_id:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.Education:
      type: object
      properties:
        index:
          type: integer
          format: int32
          nullable: true
        school_id:
          type: integer
          format: int32
          nullable: true
        school_id_str:
          type: string
          nullable: true
        school:
          type: string
          nullable: true
        major_id:
          type: integer
          format: int32
          nullable: true
        major_id_str:
          type: string
          nullable: true
        major:
          type: string
          nullable: true
        degree_id:
          type: integer
          format: int32
          nullable: true
        degree_id_str:
          type: string
          nullable: true
        degree:
          type: string
          nullable: true
        start_date:
          type: string
          nullable: true
        start:
          type: integer
          format: int32
          nullable: true
        end_date:
          type: string
          nullable: true
        end:
          type: integer
          format: int32
          nullable: true
        description:
          type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.SmartMatchMatchType:
      enum:
        - COMPLETE
        - PARTIAL
      type: string
    PublicProfile.PowerFilterMatch:
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        matches:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    PublicProfile.KeyMatch:
      type: object
      properties:
        key:
          $ref: '#/components/schemas/PublicProfile.KeyMatchType'
        value:
          type: string
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.GitHub.RepositoryContribution:
      type: object
      properties:
        personal_contribs:
          $ref: '#/components/schemas/SeekOut.Data.Graph.GitHub.Contribution'
        personal_contrib_rank:
          type: integer
          format: int32
          nullable: true
        num_contributors:
          type: integer
          format: int32
          nullable: true
        latest_contrib_timestamp:
          type: integer
          format: int64
          nullable: true
        contrib_link:
          type: string
          nullable: true
        repo_involvement_metrics:
          $ref: >-
            #/components/schemas/SeekOut.Data.Graph.GitHub.RepoInvolvementMetrics
        issue_involvements:
          type: array
          items:
            $ref: >-
              #/components/schemas/SeekOut.Data.Graph.GitHub.IssueInvolvementSimple
          nullable: true
        issues_link:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        highlighted_link:
          type: string
          nullable: true
        link:
          type: string
          nullable: true
        headline:
          type: string
          nullable: true
        forked_from:
          type: string
          nullable: true
        mirrored_from:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        topics:
          type: array
          items:
            type: string
          nullable: true
        prog_lang:
          type: string
          nullable: true
        prog_langs:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        stars:
          type: string
          nullable: true
        forks:
          type: integer
          format: int32
          nullable: true
        users:
          type: integer
          format: int32
          nullable: true
        watches:
          type: integer
          format: int32
          nullable: true
        network:
          type: string
          nullable: true
        license:
          type: string
          nullable: true
        issues:
          type: string
          nullable: true
        updated:
          type: string
          format: date-time
          nullable: true
        html:
          type: string
          nullable: true
        commits:
          type: integer
          format: int32
          nullable: true
        branches:
          type: integer
          format: int32
          nullable: true
        releases:
          type: integer
          format: int32
          nullable: true
        contributors:
          type: integer
          format: int32
          nullable: true
        contributions:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/SeekOut.Data.Graph.GitHub.Contribution'
          nullable: true
        participants:
          type: integer
          format: int32
          nullable: true
        score:
          type: number
          format: double
          nullable: true
        query_match:
          type: boolean
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.GitHub.Repository:
      type: object
      properties:
        name:
          type: string
          nullable: true
        highlighted_link:
          type: string
          nullable: true
        link:
          type: string
          nullable: true
        headline:
          type: string
          nullable: true
        forked_from:
          type: string
          nullable: true
        mirrored_from:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        topics:
          type: array
          items:
            type: string
          nullable: true
        prog_lang:
          type: string
          nullable: true
        prog_langs:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        stars:
          type: string
          nullable: true
        forks:
          type: integer
          format: int32
          nullable: true
        users:
          type: integer
          format: int32
          nullable: true
        watches:
          type: integer
          format: int32
          nullable: true
        network:
          type: string
          nullable: true
        license:
          type: string
          nullable: true
        issues:
          type: string
          nullable: true
        updated:
          type: string
          format: date-time
          nullable: true
        html:
          type: string
          nullable: true
        commits:
          type: integer
          format: int32
          nullable: true
        branches:
          type: integer
          format: int32
          nullable: true
        releases:
          type: integer
          format: int32
          nullable: true
        contributors:
          type: integer
          format: int32
          nullable: true
        contributions:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/SeekOut.Data.Graph.GitHub.Contribution'
          nullable: true
        participants:
          type: integer
          format: int32
          nullable: true
        score:
          type: number
          format: double
          nullable: true
        query_match:
          type: boolean
          nullable: true
      additionalProperties: false
    PublicProfile.SOBadge:
      type: object
      properties:
        name:
          type: string
          nullable: true
        date:
          type: string
          format: date-time
          nullable: true
        class:
          type: integer
          format: int32
          nullable: true
        badge_count:
          type: integer
          format: int32
          nullable: true
        tag_based:
          type: boolean
          nullable: true
      additionalProperties: false
    PublicProfile.SOTopTag:
      type: object
      properties:
        name:
          type: string
          nullable: true
        percent:
          type: number
          format: double
          nullable: true
        score:
          type: number
          format: double
        level:
          type: integer
          format: int32
          readOnly: true
      additionalProperties: false
    PublicProfile.SOQuestionInvolvement:
      type: object
      properties:
        last_interaction_datetime:
          type: string
          format: date-time
          nullable: true
        link:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        body:
          type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        comment_count:
          type: integer
          format: int32
          nullable: true
        favorite_count:
          type: integer
          format: int32
          nullable: true
        view_count:
          type: integer
          format: int32
          nullable: true
        score:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    PublicProfile.SOAnswerInvolvement:
      type: object
      properties:
        last_interaction_datetime:
          type: string
          format: date-time
          nullable: true
        link:
          type: string
          nullable: true
        body:
          type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        accepted_answer:
          type: boolean
          nullable: true
        comment_count:
          type: integer
          format: int32
          nullable: true
        view_count:
          type: integer
          format: int32
          nullable: true
        score:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.Academic.CoAuthor:
      type: object
      properties:
        id:
          type: integer
          format: int64
          nullable: true
        display_name:
          type: string
          nullable: true
        sequence_number:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.Academic.Paper:
      type: object
      properties:
        id:
          type: integer
          format: int64
          nullable: true
        mag_id:
          type: string
          nullable: true
        rank:
          type: integer
          format: int32
          nullable: true
        doi:
          type: string
          nullable: true
        doc_type:
          type: string
          nullable: true
        paper_title:
          type: string
          nullable: true
        original_title:
          type: string
          nullable: true
        book_title:
          type: string
          nullable: true
        year:
          type: integer
          format: int32
          nullable: true
        date:
          type: string
          format: date-time
          nullable: true
        publisher:
          type: string
          nullable: true
        journal_id:
          type: integer
          format: int64
          nullable: true
        journal_name:
          type: string
          nullable: true
        conference_series_id:
          type: integer
          format: int64
          nullable: true
        conference_series_name:
          type: string
          nullable: true
        venue:
          type: string
          nullable: true
        conference_instance_id:
          type: integer
          format: int64
          nullable: true
        conference_instance_name:
          type: string
          nullable: true
        volume:
          type: string
          nullable: true
        issue:
          type: string
          nullable: true
        reference_count:
          type: integer
          format: int64
          nullable: true
        citation_count:
          type: integer
          format: int64
          nullable: true
        estimated_citation_count:
          type: integer
          format: int64
          nullable: true
        affiliations:
          type: array
          items:
            type: string
          nullable: true
        affiliation_ids:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
        abstract:
          type: string
          nullable: true
        fields_of_study:
          type: array
          items:
            $ref: '#/components/schemas/SeekOut.Data.Graph.Academic.FieldOfStudy'
          nullable: true
        categories:
          type: array
          items:
            type: string
          nullable: true
        sub_categories:
          type: array
          items:
            type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        keywords:
          type: array
          items:
            type: string
          nullable: true
        urls:
          type: array
          items:
            $ref: '#/components/schemas/SeekOut.Data.Graph.Academic.Url'
          nullable: true
        authors:
          type: array
          items:
            $ref: '#/components/schemas/SeekOut.Data.Graph.Academic.CoAuthor'
          nullable: true
        languages:
          type: array
          items:
            type: string
          nullable: true
        created_date:
          type: string
          format: date-time
          nullable: true
        family_id:
          type: integer
          format: int64
          nullable: true
      additionalProperties: false
    PeopleSearch.Healthcare.HealthcareSearchProfile:
      type: object
      properties:
        power_filter_matches:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.PowerFilterMatch'
          nullable: true
        caption:
          type: string
          nullable: true
        key_matches:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.KeyMatch'
          nullable: true
        alt_keys:
          type: array
          items:
            type: string
          nullable: true
        alt_keys_keytypes:
          type: object
          additionalProperties:
            type: string
          nullable: true
        has_public_profile:
          type: integer
          format: int32
          nullable: true
        public_profile_last_updated:
          type: string
          format: date-time
          nullable: true
        is_public_profile_deleted:
          type: integer
          format: int32
          nullable: true
        public_profile_refreshed:
          type: string
          format: date-time
          nullable: true
        li_key:
          type: string
          nullable: true
        li_id:
          type: string
          nullable: true
        country_code:
          type: string
          nullable: true
        diversity:
          type: array
          items:
            type: string
          nullable: true
        li_url:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        zip_code:
          type: string
          nullable: true
        headline:
          type: string
          nullable: true
        industry:
          type: string
          nullable: true
        num_connections:
          type: integer
          format: int32
          nullable: true
        summary:
          type: string
          nullable: true
        image_url:
          type: string
          nullable: true
        cached_image_url:
          type: string
          nullable: true
        has_image:
          type: integer
          format: int32
          nullable: true
        num_positions:
          type: integer
          format: int32
          nullable: true
        has_doximity_data:
          type: integer
          format: int32
          nullable: true
        has_publications:
          type: integer
          format: int32
          nullable: true
        profile_length:
          type: integer
          format: int32
          nullable: true
        contact_quality:
          type: integer
          format: int32
          nullable: true
        has_job_descriptions:
          type: integer
          format: int32
          nullable: true
        has_valid_address:
          type: integer
          format: int32
          nullable: true
        positions:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Position'
          nullable: true
        cur_company:
          type: string
          nullable: true
        cur_title:
          type: string
          nullable: true
        company_size:
          type: integer
          format: int32
          nullable: true
        past_companies:
          type: array
          items:
            type: string
          nullable: true
        past_titles:
          type: array
          items:
            type: string
          nullable: true
        start_year_in_role:
          type: integer
          format: int32
          nullable: true
        grad_year:
          type: integer
          format: int32
          nullable: true
        schools:
          type: array
          items:
            type: string
          nullable: true
        majors:
          type: array
          items:
            type: string
          nullable: true
        degrees:
          type: array
          items:
            type: string
          nullable: true
        publications:
          type: array
          items:
            type: string
          nullable: true
        patents:
          type: array
          items:
            type: string
          nullable: true
        skills:
          type: array
          items:
            type: string
          nullable: true
        certifications:
          type: array
          items:
            type: string
          nullable: true
        groups:
          type: array
          items:
            type: string
          nullable: true
        interests:
          type: array
          items:
            type: string
          nullable: true
        projects:
          type: array
          items:
            type: string
          nullable: true
        courses:
          type: array
          items:
            type: string
          nullable: true
        volunteering:
          type: array
          items:
            type: string
          nullable: true
        honors_awards:
          type: array
          items:
            type: string
          nullable: true
        languages:
          type: array
          items:
            type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        expert_tags:
          type: array
          items:
            type: string
          nullable: true
        'true':
          type: string
          nullable: true
        salary_data:
          $ref: '#/components/schemas/SeekOut.Data.Graph.SalaryData.SalaryData'
        provider_name:
          $ref: '#/components/schemas/PublicProfile.ProviderNameInfo'
        practice_address:
          $ref: '#/components/schemas/PublicProfile.ProviderAddress'
        is_international:
          type: boolean
          nullable: true
        is_student:
          type: boolean
          nullable: true
        profile_source:
          type: string
          nullable: true
        user_id:
          type: string
          nullable: true
        key:
          type: string
          nullable: true
        partition:
          type: integer
          format: int32
        full_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        middle_name:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        location_ids:
          type: array
          items:
            type: string
          nullable: true
        npi_number:
          type: string
          nullable: true
        npi_status:
          type: string
          nullable: true
        npi_category:
          type: string
          nullable: true
        npi_entity_type:
          type: string
          nullable: true
        credentials:
          type: array
          items:
            type: string
          nullable: true
        organizations:
          type: array
          items:
            type: string
          nullable: true
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Address'
          nullable: true
        taxonomies:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.TaxonomyLicenseInfo'
          nullable: true
        profile_picture:
          type: string
          nullable: true
        educations:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Education'
          nullable: true
        specialities:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Speciality'
          nullable: true
        gender:
          type: string
          nullable: true
        office_location:
          type: string
          nullable: true
        office_location2:
          type: string
          nullable: true
        emails:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Email'
          nullable: true
        phones:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.PhoneNumber'
          nullable: true
        fax_numbers:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.PhoneNumber'
          nullable: true
        doximity_data:
          $ref: '#/components/schemas/PublicProfile.DoximityHealthcareData'
        academic_data:
          $ref: '#/components/schemas/PublicProfile.AcademicHealthcareData'
        power_filters:
          type: array
          items:
            type: string
          nullable: true
        ranked_power_filters:
          type: array
          items:
            type: string
          nullable: true
        power_filters_match_data:
          type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Nursing.NurseSearchProfile:
      type: object
      properties:
        power_filter_matches:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.PowerFilterMatch'
          nullable: true
        caption:
          type: string
          nullable: true
        alt_keys:
          type: array
          items:
            type: string
          nullable: true
        key_matches:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.KeyMatch'
          nullable: true
        alt_keys_keytypes:
          type: object
          additionalProperties:
            type: string
          nullable: true
        has_public_profile:
          type: integer
          format: int32
          nullable: true
        li_key:
          type: string
          nullable: true
        li_id:
          type: string
          nullable: true
        country_code:
          type: string
          nullable: true
        diversity:
          type: array
          items:
            type: string
          nullable: true
        li_url:
          type: string
          nullable: true
        public_profile_last_updated:
          type: string
          format: date-time
          nullable: true
        is_public_profile_deleted:
          type: integer
          format: int32
          nullable: true
        public_profile_refreshed:
          type: string
          format: date-time
          nullable: true
        location:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        zip_code:
          type: string
          nullable: true
        headline:
          type: string
          nullable: true
        industry:
          type: string
          nullable: true
        num_connections:
          type: integer
          format: int32
          nullable: true
        summary:
          type: string
          nullable: true
        image_url:
          type: string
          nullable: true
        cached_image_url:
          type: string
          nullable: true
        has_image:
          type: integer
          format: int32
          nullable: true
        has_valid_license:
          type: integer
          format: int32
          nullable: true
        years_with_license:
          type: integer
          format: int32
          nullable: true
        num_positions:
          type: integer
          format: int32
          nullable: true
        has_doximity_data:
          type: integer
          format: int32
          nullable: true
        has_publications:
          type: integer
          format: int32
          nullable: true
        profile_length:
          type: integer
          format: int32
          nullable: true
        contact_quality:
          type: integer
          format: int32
          nullable: true
        has_job_descriptions:
          type: integer
          format: int32
          nullable: true
        is_current_nurse:
          type: integer
          format: int32
          nullable: true
        power_filter_count:
          type: integer
          format: int32
          nullable: true
        has_valid_address:
          type: integer
          format: int32
          nullable: true
        public_profile_nurse_type:
          type: array
          items:
            type: string
          nullable: true
        positions:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Position'
          nullable: true
        cur_company:
          type: string
          nullable: true
        cur_title:
          type: string
          nullable: true
        company_size:
          type: integer
          format: int32
          nullable: true
        past_companies:
          type: array
          items:
            type: string
          nullable: true
        past_titles:
          type: array
          items:
            type: string
          nullable: true
        start_year_in_role:
          type: integer
          format: int32
          nullable: true
        grad_year:
          type: integer
          format: int32
          nullable: true
        schools:
          type: array
          items:
            type: string
          nullable: true
        majors:
          type: array
          items:
            type: string
          nullable: true
        degrees:
          type: array
          items:
            type: string
          nullable: true
        publications:
          type: array
          items:
            type: string
          nullable: true
        patents:
          type: array
          items:
            type: string
          nullable: true
        skills:
          type: array
          items:
            type: string
          nullable: true
        certifications:
          type: array
          items:
            type: string
          nullable: true
        groups:
          type: array
          items:
            type: string
          nullable: true
        interests:
          type: array
          items:
            type: string
          nullable: true
        projects:
          type: array
          items:
            type: string
          nullable: true
        courses:
          type: array
          items:
            type: string
          nullable: true
        volunteering:
          type: array
          items:
            type: string
          nullable: true
        honors_awards:
          type: array
          items:
            type: string
          nullable: true
        languages:
          type: array
          items:
            type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        expert_tags:
          type: array
          items:
            type: string
          nullable: true
        'true':
          type: string
          nullable: true
        salary_data:
          $ref: '#/components/schemas/SeekOut.Data.Graph.SalaryData.SalaryData'
        profile_source:
          type: string
          nullable: true
        is_international:
          type: boolean
          nullable: true
        is_student:
          type: boolean
          nullable: true
        is_prior_nurse:
          type: boolean
          nullable: true
        license_issue_year:
          type: integer
          format: int32
          nullable: true
        issue_date:
          type: string
          format: date-time
          nullable: true
        user_id:
          type: string
          nullable: true
        nurse_license_state:
          type: array
          items:
            type: string
          nullable: true
        nurse_license_number:
          type: array
          items:
            type: string
          nullable: true
        license_title:
          type: array
          items:
            type: string
          nullable: true
        license_status_desc:
          type: string
          nullable: true
        license_validity_type:
          type: string
          nullable: true
        license_status:
          type: array
          items:
            type: string
          nullable: true
        nurse_type:
          type: array
          items:
            type: string
          nullable: true
        degrees_earned:
          type: array
          items:
            type: string
          nullable: true
        disciplined_status:
          type: boolean
          nullable: true
        nurse_license_info:
          type: array
          items:
            $ref: '#/components/schemas/SeekOut.Data.Graph.Nursing.NurseLicenseInfo'
          nullable: true
        key:
          type: string
          nullable: true
        partition:
          type: integer
          format: int32
        full_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        middle_name:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        location_ids:
          type: array
          items:
            type: string
          nullable: true
        npi_number:
          type: string
          nullable: true
        npi_status:
          type: string
          nullable: true
        npi_category:
          type: string
          nullable: true
        npi_entity_type:
          type: string
          nullable: true
        credentials:
          type: array
          items:
            type: string
          nullable: true
        organizations:
          type: array
          items:
            type: string
          nullable: true
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Address'
          nullable: true
        taxonomies:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.TaxonomyLicenseInfo'
          nullable: true
        profile_picture:
          type: string
          nullable: true
        educations:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Education'
          nullable: true
        specialities:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Speciality'
          nullable: true
        gender:
          type: string
          nullable: true
        office_location:
          type: string
          nullable: true
        office_location2:
          type: string
          nullable: true
        emails:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Email'
          nullable: true
        phones:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.PhoneNumber'
          nullable: true
        fax_numbers:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.PhoneNumber'
          nullable: true
        doximity_data:
          $ref: '#/components/schemas/PublicProfile.DoximityHealthcareData'
        academic_data:
          $ref: '#/components/schemas/PublicProfile.AcademicHealthcareData'
        power_filters:
          type: array
          items:
            type: string
          nullable: true
        ranked_power_filters:
          type: array
          items:
            type: string
          nullable: true
        power_filters_match_data:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.ExternalData:
      type: object
      properties:
        type:
          type: string
          nullable: true
        id:
          type: string
          nullable: true
        sec_id:
          type: string
          nullable: true
        version:
          type: string
          nullable: true
        tags:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Tag'
          nullable: true
        updated:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.ATSData:
      type: object
      properties:
        candidate_id:
          type: string
          nullable: true
        is_matched:
          type: boolean
          nullable: true
        last_activity:
          type: string
          format: date-time
          nullable: true
        recruiter:
          type: string
          nullable: true
        resume_experience_caption:
          type: array
          items:
            type: string
          nullable: true
        resume_education_caption:
          type: array
          items:
            type: string
          nullable: true
        phone_numbers:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.ATSContact'
          nullable: true
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.ATSContact'
          nullable: true
        email_addresses:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.ATSContact'
          nullable: true
        website_addresses:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.ATSContact'
          nullable: true
        social_media_addresses:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.ATSContact'
          nullable: true
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Attachment'
          nullable: true
        applications:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Application'
          nullable: true
        alternate_applications:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Application'
          nullable: true
        application_count:
          type: integer
          format: int32
          nullable: true
        current_stage:
          type: string
          nullable: true
        attachment_caption:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    PublicProfile.SecurityClearance:
      type: object
      properties:
        name:
          type: string
          nullable: true
        explanation:
          type: string
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.SalaryData.SalaryData:
      type: object
      properties:
        source:
          type: string
          nullable: true
        key:
          type: string
          nullable: true
        min:
          type: number
          format: double
          nullable: true
        max:
          type: number
          format: double
          nullable: true
        variance:
          type: number
          format: double
          nullable: true
        avg:
          type: number
          format: double
          nullable: true
        median:
          type: number
          format: double
          nullable: true
        sd:
          type: number
          format: double
          nullable: true
        count:
          type: integer
          format: int32
        p_10:
          type: number
          format: double
          nullable: true
        p_25:
          type: number
          format: double
          nullable: true
        p_75:
          type: number
          format: double
          nullable: true
        p_90:
          type: number
          format: double
          nullable: true
        salary_data_points:
          type: array
          items:
            $ref: '#/components/schemas/SeekOut.Data.Graph.SalaryData.SalaryDataPoint'
          nullable: true
        base_median:
          type: number
          format: double
          nullable: true
        additional_median:
          type: number
          format: double
          nullable: true
      additionalProperties: false
    PublicProfile.Employee:
      type: object
      properties:
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        name_email:
          type: string
          nullable: true
        key:
          type: string
          nullable: true
        manager_key:
          type: string
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.InternalGitHubContribution:
      type: object
      properties:
        org:
          type: string
          nullable: true
        repo:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        language:
          type: string
          nullable: true
        languages:
          type: array
          items:
            $ref: '#/components/schemas/SeekOut.Data.Graph.RepoLanguage'
          nullable: true
        handle:
          type: string
          nullable: true
        frameworks:
          type: array
          items:
            type: string
          nullable: true
        commits:
          type: integer
          format: int32
        comimts_in_last_year:
          type: integer
          format: int32
        earliest_commit:
          type: string
          format: date-time
        most_recent_commit:
          type: string
          format: date-time
      additionalProperties: false
    PublicProfile.InternalExperienceAnnotations:
      type: object
      properties:
        headline:
          type: string
          nullable: true
        job_annotations:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.JobAnnotation'
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.UserContacts:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/PeopleSearch.Public.ContactRequest'
        emails:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Email'
          nullable: true
        phone_numbers:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.PhoneNumber'
          nullable: true
        profiles:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Profile'
          nullable: true
        photos:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Photo'
          nullable: true
        websites:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Website'
          nullable: true
        topics:
          type: array
          items:
            type: string
          nullable: true
        dict_emails:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/PeopleSearch.Public.Email'
            nullable: true
          nullable: true
        emails_validity:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PeopleSearch.Public.ValidationEntry'
          nullable: true
        status:
          $ref: '#/components/schemas/PeopleSearch.Public.RequestStatus'
        called_fallback_providers:
          type: boolean
          nullable: true
        last_updated:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
          nullable: true
        card:
          $ref: '#/components/schemas/SeekOut.Data.IndexGen.PersonCard'
        gender:
          type: string
          nullable: true
        age_range:
          type: string
          nullable: true
        execution_trace:
          $ref: '#/components/schemas/PeopleSearch.Public.ExecutionTrace'
        email_delivery_reports:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.EmailDeliveryReport'
          nullable: true
        phone_delivery_reports:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.PhoneDeliveryReport'
          nullable: true
        company_ids_requesting:
          uniqueItems: true
          type: array
          items:
            type: string
          nullable: true
        provider_completion_data_dictionary:
          type: object
          properties:
            None:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Versium:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Hunter:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            AnyEmailFinder:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Toofr:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Lusha:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            HuBuCo:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            GitHub:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            PeopleDataLabs:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            FullContact:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            FlatFile:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Pipl:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            RocketReach:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            RampedUp:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Cognism:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Multiple:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            MillionVerifier:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            ContactOut:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            Admin:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            LocalNursingFile:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            StateBoard:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            FiveXFive:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            StateBoardAndContactMapper:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            ZeroBounce:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            LocalEmailProviderVerifier:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            ProviderValidationBasedVerifier:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            RocketReachEmail:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            RocketReachPhone:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            RocketReachNpi:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            FiveXFiveUniversal:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            WizaEmail:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            WizaPhone:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
            LocalHealthcareFile:
              $ref: '#/components/schemas/PeopleSearch.Public.ProviderCompletionData'
          additionalProperties: false
          nullable: true
        request_completion_data:
          $ref: '#/components/schemas/PeopleSearch.Public.RequestCompletionData'
        has_good_email:
          type: boolean
          readOnly: true
        _etag:
          type: string
          nullable: true
        id:
          type: string
          nullable: true
        _rid:
          type: string
          nullable: true
        _self:
          type: string
          nullable: true
          readOnly: true
        _ts:
          type: string
          format: date-time
          nullable: true
        ttl:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    PublicProfile.ScoreCards:
      type: object
      properties:
        req_qual_match_scorecard:
          type: object
          properties:
            Matched:
              type: object
              additionalProperties:
                type: array
                items:
                  type: string
            NotMatched:
              type: object
              additionalProperties:
                type: array
                items:
                  type: string
          additionalProperties: false
          nullable: true
        pref_qual_match_scorecard:
          type: object
          properties:
            Matched:
              type: object
              additionalProperties:
                type: array
                items:
                  type: string
            NotMatched:
              type: object
              additionalProperties:
                type: array
                items:
                  type: string
          additionalProperties: false
          nullable: true
      additionalProperties: false
    PublicProfile.KeyValueCollection:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.IndexableKeyValue'
          nullable: true
      additionalProperties: false
    PublicProfile.KeyMatchType:
      enum:
        - TAG
        - SKILL
        - CERTIFICATION
        - HONORS_AWARDS
        - INTERESTS
        - LANGUAGES
        - INDUSTRY
        - JOB_SKILLS
        - GROUPS
        - PROJECTS
        - PUBLICATIONS
        - PATENTS
        - VOLUNTEERING
        - COURSES
        - HEADLINE
        - CAPTION
        - COMPANY
        - POSITION
        - TITLE
        - SCHOOL
        - MAJOR
        - DEGREE
        - EDUCATION
      type: string
    SeekOut.Data.Graph.GitHub.Contribution:
      type: object
      properties:
        author:
          $ref: '#/components/schemas/SeekOut.Data.Graph.GitHub.Author'
        total:
          type: integer
          format: int32
        weeks:
          type: array
          items:
            $ref: '#/components/schemas/SeekOut.Data.Graph.GitHub.Week'
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.GitHub.RepoInvolvementMetrics:
      type: object
      properties:
        issues_raised:
          type: integer
          format: int32
          nullable: true
        issues_closed:
          type: integer
          format: int32
          nullable: true
        threads_participated_in:
          type: integer
          format: int32
          nullable: true
        total_comments_posted:
          type: integer
          format: int32
          nullable: true
        first_interaction_datetime:
          type: string
          format: date-time
          nullable: true
        last_interaction_datetime:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.GitHub.IssueInvolvementSimple:
      type: object
      properties:
        issue_number:
          type: integer
          format: int32
        issue_title:
          type: string
          nullable: true
        body:
          type: string
          nullable: true
        html_url:
          type: string
          nullable: true
        query_match:
          type: boolean
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.Academic.FieldOfStudy:
      type: object
      properties:
        id:
          type: integer
          format: int64
          nullable: true
        name:
          type: string
          nullable: true
        level:
          type: integer
          format: int32
          nullable: true
        score:
          type: number
          format: float
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.Academic.Url:
      type: object
      properties:
        source_type:
          type: integer
          format: int32
          nullable: true
        source_url:
          type: string
          nullable: true
        language_code:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.ProviderNameInfo:
      type: object
      properties:
        org_name:
          type: string
          nullable: true
        full_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        middle_name:
          type: string
          nullable: true
        name_prefix:
          type: string
          nullable: true
        name_suffix:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.ProviderAddress:
      type: object
      properties:
        address_line_1:
          type: string
          nullable: true
        address_line_2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        zip_code:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        phone_num:
          type: string
          nullable: true
        fax_num:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.Address:
      type: object
      properties:
        address_type:
          type: string
          nullable: true
        address_line_1:
          type: string
          nullable: true
        address_line_2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        zip_code:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.TaxonomyLicenseInfo:
      type: object
      properties:
        taxonomy_code:
          type: string
          nullable: true
        taxonomy_name:
          type: string
          nullable: true
        taxonomy_desc:
          type: string
          nullable: true
        taxonomy_switch:
          type: string
          nullable: true
        license_num:
          type: string
          nullable: true
        state_code:
          type: string
          nullable: true
        state_name:
          type: string
          nullable: true
        taxonomy_category:
          type: string
          nullable: true
        taxonomy_parent_code:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.Speciality:
      type: object
      properties:
        name:
          type: string
          nullable: true
        sub_speciality:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.Email:
      type: object
      properties:
        address:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        source:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.PhoneNumber:
      type: object
      properties:
        number:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        source:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.DoximityHealthcareData:
      type: object
      properties:
        category:
          type: string
          nullable: true
        user_id:
          type: string
          nullable: true
        summary:
          type: string
          nullable: true
        honors_awards:
          type: array
          items:
            $ref: '#/components/schemas/SeekOut.Data.Graph.HonorsAndAwards'
          nullable: true
        certifications_and_licenses:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.CertificationLicense'
          nullable: true
        memberships:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Membership'
          nullable: true
        languages:
          type: array
          items:
            type: string
          nullable: true
        publications:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Publication'
          nullable: true
        hospital_affiliations:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.HospitalAffiliation'
          nullable: true
        press_mentions:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.PressMention'
          nullable: true
        clinical_trials:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.ClinicalTrial'
          nullable: true
        profile_url:
          type: string
          nullable: true
        journals:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.JournalPublication'
          nullable: true
      additionalProperties: false
    PublicProfile.AcademicHealthcareData:
      type: object
      properties:
        author_id:
          type: string
          nullable: true
        rank:
          type: integer
          format: int32
          nullable: true
        h_index:
          type: integer
          format: int32
          nullable: true
        i10_index:
          type: integer
          format: int32
          nullable: true
        affiliation:
          type: string
          nullable: true
        affiliations:
          type: array
          items:
            type: string
          nullable: true
        publications_count:
          type: integer
          format: int32
          nullable: true
        paper_count:
          type: integer
          format: int32
          nullable: true
        patent_count:
          type: integer
          format: int32
          nullable: true
        book_count:
          type: integer
          format: int32
          nullable: true
        citation_count:
          type: integer
          format: int32
          nullable: true
        first_author_count:
          type: integer
          format: int32
          nullable: true
        last_author_count:
          type: integer
          format: int32
          nullable: true
        categories:
          type: array
          items:
            type: string
          nullable: true
        sub_categories:
          type: array
          items:
            type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        conferences:
          type: array
          items:
            type: string
          nullable: true
        conf_instances:
          type: array
          items:
            type: string
          nullable: true
        journals:
          type: array
          items:
            type: string
          nullable: true
        doc_types:
          type: array
          items:
            type: string
          nullable: true
        co_authors:
          type: array
          items:
            type: string
          nullable: true
        co_author_names:
          type: array
          items:
            type: string
          nullable: true
        publishers:
          type: array
          items:
            type: string
          nullable: true
        pub_years:
          type: array
          items:
            type: string
          nullable: true
        created_date:
          type: string
          format: date-time
          nullable: true
        papers:
          type: array
          items:
            $ref: '#/components/schemas/SeekOut.Data.Graph.Academic.Paper'
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.Nursing.NurseLicenseInfo:
      type: object
      properties:
        state_code:
          type: string
          nullable: true
        state_name:
          type: string
          nullable: true
        license_num:
          type: string
          nullable: true
        issue_date:
          type: string
          format: date-time
          nullable: true
        expiry_date:
          type: string
          format: date-time
          nullable: true
        license_title:
          type: string
          nullable: true
        license_status:
          type: string
          nullable: true
        degrees_earned:
          type: string
          nullable: true
        practice_details:
          type: string
          nullable: true
        speciality:
          type: string
          nullable: true
        position:
          type: string
          nullable: true
        prescriptive_authority:
          type: string
          nullable: true
        disciplined_status:
          type: string
          nullable: true
        other_licenses:
          type: string
          nullable: true
        license_validity:
          type: string
          nullable: true
        provider_agency_info:
          $ref: '#/components/schemas/SeekOut.Data.Graph.Nursing.ProviderAgencyInfo'
      additionalProperties: false
    PublicProfile.Tag:
      type: object
      properties:
        name:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
        searchable_value:
          type: string
          nullable: true
        bool_value:
          type: boolean
          nullable: true
        int_value:
          type: integer
          format: int32
          nullable: true
        long_value:
          type: integer
          format: int64
          nullable: true
        double_value:
          type: number
          format: double
          nullable: true
        date_value:
          type: string
          format: date-time
          nullable: true
        complex_value:
          type: string
          nullable: true
        string_values:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.ATSContact:
      type: object
      properties:
        value:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.Attachment:
      type: object
      properties:
        file_name:
          type: string
          nullable: true
        path:
          type: string
          nullable: true
        is_resume:
          type: boolean
          nullable: true
        text:
          type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.Application:
      type: object
      properties:
        id:
          type: string
          nullable: true
        prospect:
          type: boolean
        applied_at:
          type: string
          format: date-time
          nullable: true
        rejected_at:
          type: string
          format: date-time
          nullable: true
        last_activity_at:
          type: string
          format: date-time
          nullable: true
        rejection_reason:
          type: string
          nullable: true
        jobs:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.JobApplication'
          nullable: true
        status:
          type: string
          nullable: true
        sub_status:
          type: string
          nullable: true
        withdrawal_reason:
          type: string
          nullable: true
        current_stage:
          type: string
          nullable: true
        current_state_id:
          type: string
          nullable: true
        current_step:
          type: string
          nullable: true
        current_step_id:
          type: string
          nullable: true
        answers:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.Answer'
          nullable: true
        referral:
          type: boolean
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.SalaryData.SalaryDataPoint:
      type: object
      properties:
        salary:
          type: number
          format: double
        count:
          type: integer
          format: int32
      additionalProperties: false
    SeekOut.Data.Graph.RepoLanguage:
      type: object
      properties:
        language:
          type: string
          nullable: true
        lines:
          type: integer
          format: int32
      additionalProperties: false
    PublicProfile.JobAnnotation:
      type: object
      properties:
        position_id:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.ContactRequest:
      type: object
      properties:
        jobId:
          type: string
          nullable: true
        jobType:
          $ref: '#/components/schemas/PeopleSearch.AsyncJobs.JobType'
        userId:
          type: string
          nullable: true
        recruiterId:
          type: string
          nullable: true
        recruiterEmail:
          type: string
          nullable: true
        callerId:
          type: string
          nullable: true
        guid:
          type: string
          format: uuid
        callbackKey:
          type: string
          nullable: true
        key:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        linkedin_url:
          type: string
          nullable: true
        npi_number:
          type: string
          nullable: true
        emails:
          type: array
          items:
            type: string
          nullable: true
        li_id:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        full_name:
          type: string
          nullable: true
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Address'
          nullable: true
        company:
          type: string
          nullable: true
        is_large_company:
          type: boolean
          nullable: true
        domain:
          type: string
          nullable: true
        past_domains:
          type: array
          items:
            type: string
          nullable: true
        req_type:
          $ref: '#/components/schemas/PeopleSearch.Public.RequestType'
        contact_type:
          $ref: '#/components/schemas/PeopleSearch.Public.ContactType'
        contact_level:
          $ref: '#/components/schemas/PeopleSearch.Public.ContactLevel'
        high_pri:
          type: boolean
          nullable: true
        index:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        continent:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        department:
          type: string
          nullable: true
        industry:
          type: string
          nullable: true
        linkedin_industry:
          type: string
          nullable: true
        diversity:
          type: array
          items:
            type: string
          nullable: true
        company_id_requesting:
          type: string
          nullable: true
        past_companies:
          type: array
          items:
            type: string
          nullable: true
        educations:
          type: array
          items:
            $ref: '#/components/schemas/PublicProfile.Education'
          nullable: true
        graduation_year:
          type: integer
          format: int32
          nullable: true
        use_cache:
          type: boolean
        is_test:
          type: boolean
        queued_time:
          type: string
          format: date-time
          nullable: true
        nurse_types:
          type: array
          items:
            type: string
          nullable: true
        has_public_profile:
          type: boolean
          nullable: true
        contact_quality:
          type: integer
          format: int32
          nullable: true
        primary_providers:
          type: array
          items:
            type: string
          nullable: true
        secondary_providers:
          type: array
          items:
            type: string
          nullable: true
        alt_keys:
          type: array
          items:
            type: string
          nullable: true
        alt_urls:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.Email:
      type: object
      properties:
        email:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        source:
          $ref: '#/components/schemas/PeopleSearch.Public.Provider'
        contact_source:
          $ref: '#/components/schemas/PeopleSearch.Public.ContactSourceType'
        score:
          type: integer
          format: int32
          nullable: true
        validation:
          $ref: '#/components/schemas/PeopleSearch.Public.Validation'
        time_stamp:
          type: string
          format: date-time
        valid_since:
          type: string
          format: date-time
          nullable: true
        last_updated:
          type: string
          format: date-time
          nullable: true
        date_created:
          type: string
          format: date-time
          nullable: true
        last_seen:
          type: string
          format: date-time
          nullable: true
        confidence:
          type: string
          nullable: true
        rank:
          type: integer
          format: int32
        preferred_email:
          type: boolean
          nullable: true
        bad_email:
          type: boolean
          nullable: true
        sources:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.ContactSourceType'
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.PhoneNumber:
      type: object
      properties:
        number:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        valid_since:
          type: string
          format: date-time
          nullable: true
        last_seen:
          type: string
          format: date-time
          nullable: true
        source:
          $ref: '#/components/schemas/PeopleSearch.Public.Provider'
        time_stamp:
          type: string
          format: date-time
          nullable: true
        rank:
          type: integer
          format: int32
      additionalProperties: false
    PeopleSearch.Public.Profile:
      type: object
      properties:
        source:
          type: string
          nullable: true
        user_name:
          type: string
          nullable: true
        network:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.Photo:
      type: object
      properties:
        source:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.Website:
      type: object
      properties:
        type:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.ValidationEntry:
      type: object
      properties:
        validation:
          $ref: '#/components/schemas/PeopleSearch.Public.Validation'
        verification_provider:
          $ref: '#/components/schemas/PeopleSearch.Public.Provider'
        time_stamp:
          type: string
          format: date-time
          nullable: true
        is_succeess:
          type: boolean
      additionalProperties: false
    PeopleSearch.Public.RequestStatus:
      enum:
        - NotStarted
        - InProgress
        - Done
        - NotFound
        - Queued
        - Unknown
      type: string
    SeekOut.Data.IndexGen.PersonCard:
      type: object
      properties:
        name:
          type: string
          nullable: true
        updated:
          type: string
          format: date-time
          nullable: true
        key:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        image_url:
          type: string
          nullable: true
        linkedin_image_url:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        role:
          type: string
          nullable: true
        company:
          type: string
          nullable: true
        full_title:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        response:
          type: string
          nullable: true
        found:
          type: boolean
      additionalProperties: false
    PeopleSearch.Public.ExecutionTrace:
      type: object
      properties:
        key:
          type: string
          nullable: true
        time_taken:
          type: number
          format: double
          nullable: true
        linkedin_url:
          type: string
          nullable: true
        ignored:
          type: boolean
          nullable: true
        provider_results:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.External.ContactResults'
          nullable: true
        best_email:
          $ref: '#/components/schemas/PeopleSearch.Public.Email'
        mismatched_linkedin_profile:
          type: string
          nullable: true
        mismatched_github_profile:
          type: string
          nullable: true
        error:
          type: string
          nullable: true
        exceptions:
          type: array
          items:
            type: string
          nullable: true
        added_linkedin_profile:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.EmailDeliveryReport:
      type: object
      properties:
        email:
          type: string
          nullable: true
        delivery_status:
          $ref: '#/components/schemas/PeopleSearch.Contacts.DeliveryStatus'
        date_created:
          type: string
          format: date-time
        source:
          $ref: '#/components/schemas/PeopleSearch.Public.ReportingSource'
        org_id:
          type: string
          nullable: true
        company_id:
          type: string
          nullable: true
        email_step_status_list:
          type: array
          items:
            $ref: '#/components/schemas/PeopleSearch.Public.EmailStepStatus'
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.PhoneDeliveryReport:
      type: object
      properties:
        phone_number:
          type: string
          nullable: true
        delivery_status:
          $ref: '#/components/schemas/PeopleSearch.Contacts.DeliveryStatus'
        date_created:
          type: string
          format: date-time
        source:
          $ref: '#/components/schemas/PeopleSearch.Public.ReportingSource'
        company_id:
          type: string
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.ProviderCompletionData:
      type: object
      properties:
        LastUpdatedForEmail:
          type: string
          format: date-time
          nullable: true
        LastUpdatedForPhone:
          type: string
          format: date-time
          nullable: true
        isSuccessfulForEmail:
          type: boolean
          nullable: true
        isSuccessfulForPhone:
          type: boolean
          nullable: true
        isPrimaryProviderForEmail:
          type: boolean
          nullable: true
        isPrimaryProviderForPhone:
          type: boolean
          nullable: true
      additionalProperties: false
    PeopleSearch.Public.RequestCompletionData:
      type: object
      properties:
        emailCompletedTime:
          type: string
          format: date-time
          nullable: true
        phoneCompletedTime:
          type: string
          format: date-time
          nullable: true
        isEmailRequest:
          type: boolean
          nullable: true
        isPhoneRequest:
          type: boolean
          nullable: true
      additionalProperties: false
    PublicProfile.IndexableKeyValue:
      type: object
      properties:
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.GitHub.Author:
      type: object
      properties:
        login:
          type: string
          nullable: true
        avatar:
          type: string
          nullable: true
      additionalProperties: false
    SeekOut.Data.Graph.GitHub.Week:
      type: object
      properties:
        w:
          type: integer
          format: int64
        a:
          type: integer
          format: int32
        d:
          type: integer
          format: int32
        c:
          type: integer
          format: int32
      additionalProperties: false
    SeekOut.Data.Graph.HonorsAndAwards:
      type: object
      properties:
        date:
          type: string
          nullable: true
        organization:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.CertificationLicense:
      type: object
      properties:
        org:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.Membership:
      type: object
      properties:
        organization_name:
          type: string
          nullable: true
        position:
          type: string
          nullable: true
        organization_url:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.Publication:
      type: object
      properties:
        publication_name:
          type: string
          nullable: true
        publication_url:
          type: string
          nullable: true
        publication_date:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.HospitalAffiliation:
      type: object
      properties:
        name:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        address:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.PressMention:
      type: object
      properties:
        title:
          type: string
          nullable: true
        year:
          type: string
          nullable: true
        address:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.ClinicalTrial:
      type: object
      properties:
        name:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        enrollment_date:
          type: string
          nullable: true
      additionalProperties: false
    PublicProfile.JournalPublication:
      type: object
      properties:
        title:
          type: string
          nullable: true
        journal_name:
          type: string
[...]
